Skip to main content
POST
Update Product Inventory

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

product id

Body

application/json
variant_id
string | null

required only if product has_variant = true. otherwise it can be excluded or pass null.

update_other_variants
boolean
write-only

Can be used for the product having variants. if true, same inventory details will be updated to other variants which are not mentioned in request body.

track_quantity
boolean
track_lot_batch
boolean
allow_backorder
boolean
stock
object[]
low_stock_threshold
number

Response

OK

message
string
success
boolean
content
object